Uploaded image for project: 'Nutch'
  1. Nutch
  2. NUTCH-2727

Upgrade Hadoop dependencies to 2.9.2

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Major
    • Resolution: Implemented
    • Affects Version/s: 1.15
    • Fix Version/s: 1.16
    • Component/s: None
    • Labels:
      None

      Description

      The latest upgrade of the Hadoop dependency dates back to Dec 2017 (NUTCH-2354). We might upgrade to the latest version of Hadoop 2.x (2.9.2).

      Note: Nutch 1.15 (or master) built with Hadoop 2.7.4 runs seamlessly on Hadoop 3.x. This should be also the case for 2.9.4 (to be tested), so we still might wait for the final upgrade to Hadoop 3.x to ensure backward-compatibility.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                snagel Sebastian Nagel
                Reporter:
                snagel Sebastian Nagel
              • Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: